# Quay Roadmap

### Sprint 11/4 - 11/18 DockerCon
- Launch Registry v2.0 API
- Launch Quay-Sec

### Sprint 11/18 - 12/1 Builds (Planned 8 Days)
- Move build traffic to Packet
  - Preliminary tests reduce build start latency from 2 minutes to 20 seconds
- Multi-step builds
  - build artifact
  - bundle artifact
  - test bundle
- Docker Notary
  - Support signed images with a known key
- Give thanks

### Sprint 12/2 - 12/15 eBay Labels (Planned)
- Labels
  - Support for Midas Package Manager-like distribution
  - Integrated with Docker labels
  - Mutable and immutable
  - Searchable and fleshed out API
- Integrate with tectonic.com sales pipeline
  - Mirror Quay customers in tectonic (SVOC)?
  - Callbacks to inform tectonic about quay events
  - Accept and apply QE licenses to the stack

### Sprint 12/16 - 12/29 Distribution (Planned 8 Days)
- Tectonic care and feeding
  - Build tools to give us a concrete/declarative cluster deploy story
  - Build a tool to migrate an app between tectonic clusters
  - Assess the feasibility of upgrading a running cluster
- Geo distribution through tectonic
  - Spin up a tectonic cluster in another region
  - Modify registry to run standalone on a tectonic cluster
- Read available Quay.io
  - Ability to choose uptime of data-plane auditability

### Sprint 12/30 - 1/12 (Planned 8 Days)
- Launch our API GA
  - Versioned and backward compatible
  - Adequate documentation

### Unallocated
- Builds as top level concept
  - Multiple Quay.io repos from a single git push
- Become the Tectonic app store
  - Pods/apps as top level concept
- Distribution tool
  - Help people to get their apps from quay to Tectonic
  - Requires App manifest or adequate flexibility
- AppC support
  - rkt push
  - discovery
- Immediately consistent multi-region data availability
  - Cockroach?
- 2 factor auth
  - How to integrate with Docker CLI?
- Mirroring from another registry
- Mirroring to a dependent registry
